//=============================================================================
// BotRifle.
//=============================================================================
class BotRifle expands ShockRifle;

function Projectile ProjectileFire(class<projectile> ProjClass, float ProjSpeed, bool bWarn)
{
	local Pawn PO;

	PO = Pawn(Owner);

	Tracked = Spawn(ProjClass,,, PO.Location + Vector(PO.ViewRotation) * 80, AdjustedAim);
}

function AltFire( float Value )
{
	local actor HitActor;
	local vector HitLocation, HitNormal, Start; 

	if ( Owner == None )
		return;

	if ( AmmoType.UseAmmo(1) )
	{
		GotoState('AltFiring');
		bCanClientFire = true;
		Pawn(Owner).PlayRecoil(FiringSpeed);
		bPointing=True;
		ProjectileFire(class'BotGrnCannon', class'BotGrnCannon'.default.speed, bAltWarnTarget);
		ClientAltFire(value);
	}
}

function Fire( float Value )
{
	local actor HitActor;
	local vector HitLocation, HitNormal, Start; 

	if ( Owner == None )
		return;

	if ( AmmoType.UseAmmo(1) )
	{
		GotoState('AltFiring');
		bCanClientFire = true;
		Pawn(Owner).PlayRecoil(FiringSpeed);
		bPointing=True;
		ProjectileFire(class'BotCannon', class'BotCannon'.default.speed, bAltWarnTarget);
		ClientAltFire(value);
	}
}

defaultproperties
{
}
