//=============================================================================
// HotEffect.
//=============================================================================
class HotEffect expands Effects;

var		float	CooledDown;
var()	float	CooldownScaleOffset;

function CoolDown(float CooledTime, float RequiredCoolingTime)
{
	CooledDown += CooledTime / RequiredCoolingTime;

	DrawScale += CooldownScaleOffset * CooledTime;

	if ( CooledDown >= 1 && DestroyAfterCooled() )
		Destroy();
}

function bool DestroyAfterCooled()
{
	return true;
}

defaultproperties
{
     CooldownScaleOffset=-0.032500
     Style=STY_Translucent
}
