//=============================================================================
// MTarget.
//=============================================================================
class MTarget expands Info;

var	Pawn	Target;
var	MTarget	Next;
var	MTarget	Prev;

function TargetInfected(Pawn Infector)
{
	MInfo(Owner).MushInfo.AppendPawn(Target);

	TargetUnacquired();
}

function TargetUnacquired()
{
	if ( Prev != None )
		Prev.Next = Next;

	if ( Next != None )
		Next.Prev = Prev;

	Next = None;
	Prev = None;

	Destroy();
}

static function MTarget TargetPawn(Pawn Other, MInfo Inf)
{
	local MTarget mt;

	mt = Other.Spawn(class'MTarget', Inf);
	mt.Target = Other;

	return mt;
}

function AppendPawn(Pawn Other)
{
	local MTarget mt;

	for ( mt = self; mt.Next != None; mt = mt.Next )
		continue;

	mt.Next = mt.class.static.TargetPawn(Other, MInfo(Owner));
	mt.Next.Prev = mt;
}

defaultproperties
{
}
