#exec mesh import mesh=SporeCanister anivfile=Models\SporeCanister_a.3d datafile=Models\SporeCanister_d.3d x=0 y=0 z=0 mlod=1
#exec mesh scale mesh=SporeCanister x=1 y=1 z=1

#exec mesh sequence mesh=SporeCanister seq=All startframe=1 numframes=1 rate=1
#exec mesh sequence mesh=SporeCanister seq=Still startframe=1 numframes=1 rate=1

#exec meshmap new meshmap=SporeCanister mesh=SporeCanister
#exec meshmap scale meshmap=SporeCanister x=0.1 y=0.1 z=0.2

#exec texture import name=JSporeCanister file=Textures\JSporeCanister.pcx group=Skins
#exec meshmap settexture meshmap=SporeCanister num=0 texture=JSporeCanister

class SporeCanister extends TournamentAmmo;

defaultproperties
{
	mesh=Lodmesh'GusPackII.SporeCanister'
	Pickupmessage="You got a Spore Canister to refuel your Sporifier."
	Itemname="Spore Canister"
	AmmoAmount=22
	maxAmmo=84
	drawtype=DT_mesh
	PickupViewmesh=Lodmesh'GusPackII.SporeCanister'
	CollisionRadius=12
	CollisionHeight=24
	DrawScale=16
	Physics=PHYS_Falling
}