//=============================================================================
// ConditionIterator.
//=============================================================================
class ConditionIterator expands CustomIterator;

function Iteration Next(out Object Result, Object Caller, int StartIter)
{
	local	Iteration	i;
	local	int			j;
	local	Actor		A;

	IterNum++;

	i.bContinue = MaxIter > IterNum && IterNum > MinIter;

	default.IterNum += 1;

	if ( !i.bContinue )
		return i;

	else
	{
		foreach AllActors(class'Actor', A)
		{
			Result = A;

			if ( j == IterNum && NextActorResult(StartIter, Caller, Result) )
			{
				i.Result = Result;
	
				return i;
			}
		}
	}
}

function bool NextActorResult(int StartIter, Object Caller, Out Object Check)
{
	return Actor(Check) != None;
}

defaultproperties
{
}
