//=============================================================================
// MController.
//=============================================================================
class MController expands Info;

var	Pawn		Infected;
var	MController	Next;
var	MController	Prev;

function AcquireTarget(Pawn Targeter, Pawn Target)
{
	MInfo(Owner).TargetInfo.AppendPawn(Target);
}

static function MController InfectPawn(Pawn Other, MInfo Inf)
{
	local MController mt;

	mt = Other.Spawn(class'MController', Inf);
	mt.Infected = Other;

	return mt;
}

function AppendPawn(Pawn Other)
{
	local MController mt;

	for ( mt = self; mt.Next != None; mt = mt.Next )
		continue;

	mt.Next = mt.class.static.InfectPawn(Other, MInfo(Owner));
	mt.Next.Prev = mt;
}

static function DeAttach(Pawn Other, MController OldMush);

function Cured()
{
	if ( Next != None )
		Next.Prev = Prev;

	if ( Prev != None )
		Prev.Next = Next;

	class.static.DeAttach(Infected, self);
	Destroy();
}

defaultproperties
{
}
