//=============================================================================
// VortexFX.
//=============================================================================
class VortexFX expands Effects;

function vector ToVector(float X, float Y, float Z)
{
	local Vector V;
	
	V.X = X;
	V.Y = Y;
	V.Z = Z;

	return V;
}

function float RandomFloat(float A, float B)
{
	if ( A != 0 )	return frand() * (B + A) / A;
	else			return frand() * B;
}

function SnowAround(float Factor)
{
	Velocity += ToVector(RandomFloat(-Factor, Factor), RandomFloat(-Factor, Factor), RandomFloat(-Factor, Factor));
}

function Tick(float TimeDelta)
{
	SnowAround(frand() * 0.25);
}

defaultproperties
{
}
